Manages classes, rosters, and invitations in Google Classroom.

- [REST Resource: v1.courses](https://developers.google.com/workspace/classroom/reference/rest#v1.courses)
- [REST Resource: v1.courses.aliases](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.aliases)
- [REST Resource: v1.courses.announcements](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.announcements)
- [REST Resource: v1.courses.announcements.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.announcements.addOnAttachments)
- [REST Resource: v1.courses.courseWork](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWork)
- [REST Resource: v1.courses.courseWork.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWork.addOnAttachments)
- [REST Resource: v1.courses.courseWork.addOnAttachments.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWork.addOnAttachments.studentSubmissions)
- [REST Resource: v1.courses.courseWork.rubrics](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWork.rubrics)
- [REST Resource: v1.courses.courseWork.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWork.studentSubmissions)
- [REST Resource: v1.courses.courseWorkMaterials](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWorkMaterials)
- [REST Resource: v1.courses.courseWorkMaterials.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.courseWorkMaterials.addOnAttachments)
- [REST Resource: v1.courses.posts](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.posts)
- [REST Resource: v1.courses.posts.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.posts.addOnAttachments)
- [REST Resource: v1.courses.posts.addOnAttachments.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.posts.addOnAttachments.studentSubmissions)
- [REST Resource: v1.courses.studentGroups](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.studentGroups)
- [REST Resource: v1.courses.studentGroups.studentGroupMembers](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.studentGroups.studentGroupMembers)
- [REST Resource: v1.courses.students](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.students)
- [REST Resource: v1.courses.teachers](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.teachers)
- [REST Resource: v1.courses.topics](https://developers.google.com/workspace/classroom/reference/rest#v1.courses.topics)
- [REST Resource: v1.invitations](https://developers.google.com/workspace/classroom/reference/rest#v1.invitations)
- [REST Resource: v1.registrations](https://developers.google.com/workspace/classroom/reference/rest#v1.registrations)
- [REST Resource: v1.userProfiles](https://developers.google.com/workspace/classroom/reference/rest#v1.userProfiles)
- [REST Resource: v1.userProfiles.guardianInvitations](https://developers.google.com/workspace/classroom/reference/rest#v1.userProfiles.guardianInvitations)
- [REST Resource: v1.userProfiles.guardians](https://developers.google.com/workspace/classroom/reference/rest#v1.userProfiles.guardians)

## Service: classroom.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://classroom.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://classroom.googleapis.com`

## REST Resource: [v1.courses](https://developers.google.com/workspace/classroom/reference/rest/v1/courses)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility (deprecated)` | `GET /v1/courses/{courseId}:checkAddOnCreationEligibility` Returns whether a user is eligible to create add-on attachments in a given course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkGradingPeriodsSetupEligibility (deprecated)` | `GET /v1/courses/{courseId}:checkGradingPeriodsSetupEligibility` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features. This feature is available in `https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion` and later. See [Access Preview APIs](https://developers.google.com/workspace/classroom/reference/preview) to learn more. Returns whether a user is eligible to update GradingPeriodSettings in a given course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/create` | `POST /v1/courses` Creates a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/delete` | `DELETE /v1/courses/{id}` Deletes a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/get` | `GET /v1/courses/{id}` Returns a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings` | `GET /v1/courses/{courseId}/gradingPeriodSettings` Returns the grading period settings in a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/list` | `GET /v1/courses` Returns a list of courses that the requesting user is permitted to view, restricted to those that match the request. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/patch` | `PATCH /v1/courses/{id}` Updates one or more fields in a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/update` | `PUT /v1/courses/{id}` Updates a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses/updateGradingPeriodSettings` | `PATCH /v1/courses/{courseId}/gradingPeriodSettings` Updates grading period settings of a course. |

## REST Resource: [v1.courses.aliases](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/create` | `POST /v1/courses/{courseId}/aliases` Creates an alias for a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/delete` | `DELETE /v1/courses/{courseId}/aliases/{alias}` Deletes an alias of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list` | `GET /v1/courses/{courseId}/aliases` Returns a list of aliases for a course. |

## REST Resource: [v1.courses.announcements](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/create` | `POST /v1/courses/{courseId}/announcements` Creates an announcement. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/delete` | `DELETE /v1/courses/{courseId}/announcements/{id}` Deletes an announcement. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/get` | `GET /v1/courses/{courseId}/announcements/{id}` Returns an announcement. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/getAddOnContext` | `GET /v1/courses/{courseId}/announcements/{itemId}/addOnContext` Gets metadata for Classroom add-ons in the context of a specific post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/list` | `GET /v1/courses/{courseId}/announcements` Returns a list of announcements that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/modifyAssignees` | `POST /v1/courses/{courseId}/announcements/{id}:modifyAssignees` Modifies assignee mode and options of an announcement. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements/patch` | `PATCH /v1/courses/{courseId}/announcements/{id}` Updates one or more fields of an announcement. |

## REST Resource: [v1.courses.announcements.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/create` | `POST /v1/courses/{courseId}/announcements/{itemId}/addOnAttachments` Creates an add-on attachment under a post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/delete` | `DELETE /v1/courses/{courseId}/announcements/{itemId}/addOnAttachments/{attachmentId}` Deletes an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get` | `GET /v1/courses/{courseId}/announcements/{itemId}/addOnAttachments/{attachmentId}` Returns an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/list` | `GET /v1/courses/{courseId}/announcements/{itemId}/addOnAttachments` Returns all attachments created by an add-on under the post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/patch` | `PATCH /v1/courses/{courseId}/announcements/{itemId}/addOnAttachments/{attachmentId}` Updates an add-on attachment. |

## REST Resource: [v1.courses.courseWork](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/create` | `POST /v1/courses/{courseId}/courseWork` Creates course work. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete` | `DELETE /v1/courses/{courseId}/courseWork/{id}` Deletes a course work. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get` | `GET /v1/courses/{courseId}/courseWork/{id}` Returns course work. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/getAddOnContext` | `GET /v1/courses/{courseId}/courseWork/{itemId}/addOnContext` Gets metadata for Classroom add-ons in the context of a specific post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/list` | `GET /v1/courses/{courseId}/courseWork` Returns a list of course work that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/modifyAssignees` | `POST /v1/courses/{courseId}/courseWork/{id}:modifyAssignees` Modifies assignee mode and options of a coursework. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/patch` | `PATCH /v1/courses/{courseId}/courseWork/{id}` Updates one or more fields of a course work. |

## REST Resource: [v1.courses.courseWork.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments/create` | `POST /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments` Creates an add-on attachment under a post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments/delete` | `DELETE /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}` Deletes an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments/get` | `GET /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}` Returns an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments/list` | `GET /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments` Returns all attachments created by an add-on under the post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments/patch` | `PATCH /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}` Updates an add-on attachment. |

## REST Resource: [v1.courses.courseWork.addOnAttachments.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions/get` | `GET /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}/studentSubmissions/{submissionId}` Returns a student submission for an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions/list` | `GET /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}/studentSubmissions` Returns a list of student submissions that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions/patch` | `PATCH /v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}/studentSubmissions/{submissionId}` Updates data associated with an add-on attachment submission. |

## REST Resource: [v1.courses.courseWork.rubrics](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create` | `POST /v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics` Creates a rubric. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/delete` | `DELETE /v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics/{id}` Deletes a rubric. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get` | `GET /v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics/{id}` Returns a rubric. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list` | `GET /v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics` Returns a list of rubrics that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/patch` | `PATCH /v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics/{id}` Updates a rubric. |

## REST Resource: [v1.courses.courseWork.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/get` | `GET /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}` Returns a student submission. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/list` | `GET /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions` Returns a list of student submissions that the requester is permitted to view, factoring in the OAuth scopes of the request. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/modifyAttachments` | `POST /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:modifyAttachments` Modifies attachments of student submission. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/patch` | `PATCH /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}` Updates one or more fields of a student submission. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/reclaim` | `POST /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:reclaim` Reclaims a student submission on behalf of the student that owns it. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/return` | `POST /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:return` Returns a student submission. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.studentSubmissions/turnIn` | `POST /v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:turnIn` Turns in a student submission. |

## REST Resource: [v1.courses.courseWorkMaterials](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/create` | `POST /v1/courses/{courseId}/courseWorkMaterials` Creates a course work material. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/delete` | `DELETE /v1/courses/{courseId}/courseWorkMaterials/{id}` Deletes a course work material. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/get` | `GET /v1/courses/{courseId}/courseWorkMaterials/{id}` Returns a course work material. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/getAddOnContext` | `GET /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnContext` Gets metadata for Classroom add-ons in the context of a specific post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/list` | `GET /v1/courses/{courseId}/courseWorkMaterials` Returns a list of course work material that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials/patch` | `PATCH /v1/courses/{courseId}/courseWorkMaterials/{id}` Updates one or more fields of a course work material. |

## REST Resource: [v1.courses.courseWorkMaterials.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments/create` | `POST /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnAttachments` Creates an add-on attachment under a post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments/delete` | `DELETE /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnAttachments/{attachmentId}` Deletes an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments/get` | `GET /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnAttachments/{attachmentId}` Returns an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments/list` | `GET /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnAttachments` Returns all attachments created by an add-on under the post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWorkMaterials.addOnAttachments/patch` | `PATCH /v1/courses/{courseId}/courseWorkMaterials/{itemId}/addOnAttachments/{attachmentId}` Updates an add-on attachment. |

## REST Resource: [v1.courses.posts](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts/getAddOnContext` | `GET /v1/courses/{courseId}/posts/{postId}/addOnContext` Gets metadata for Classroom add-ons in the context of a specific post. |

## REST Resource: [v1.courses.posts.addOnAttachments](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/create` | `POST /v1/courses/{courseId}/posts/{postId}/addOnAttachments` Creates an add-on attachment under a post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/delete` | `DELETE /v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}` Deletes an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/get` | `GET /v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}` Returns an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/list` | `GET /v1/courses/{courseId}/posts/{postId}/addOnAttachments` Returns all attachments created by an add-on under the post. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch` | `PATCH /v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}` Updates an add-on attachment. |

## REST Resource: [v1.courses.posts.addOnAttachments.studentSubmissions](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/get` | `GET /v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}/studentSubmissions/{submissionId}` Returns a student submission for an add-on attachment. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch` | `PATCH /v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}/studentSubmissions/{submissionId}` Updates data associated with an add-on attachment submission. |

## REST Resource: [v1.courses.studentGroups](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/create` | `POST /v1/courses/{courseId}/studentGroups` Creates a student group for a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/delete` | `DELETE /v1/courses/{courseId}/studentGroups/{id}` Deletes a student group. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list` | `GET /v1/courses/{courseId}/studentGroups` Returns a list of groups in a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/patch` | `PATCH /v1/courses/{courseId}/studentGroups/{id}` Updates one or more fields in a student group. |

## REST Resource: [v1.courses.studentGroups.studentGroupMembers](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create` | `POST /v1/courses/{courseId}/studentGroups/{studentGroupId}/studentGroupMembers` Creates a student group member for a student group. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete` | `DELETE /v1/courses/{courseId}/studentGroups/{studentGroupId}/studentGroupMembers/{userId}` Deletes a student group member. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/list` | `GET /v1/courses/{courseId}/studentGroups/{studentGroupId}/studentGroupMembers` Returns a list of students in a group. |

## REST Resource: [v1.courses.students](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/create` | `POST /v1/courses/{courseId}/students` Adds a user as a student of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete` | `DELETE /v1/courses/{courseId}/students/{userId}` Deletes a student of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/get` | `GET /v1/courses/{courseId}/students/{userId}` Returns a student of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/list` | `GET /v1/courses/{courseId}/students` Returns a list of students of this course that the requester is permitted to view. |

## REST Resource: [v1.courses.teachers](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.teachers)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.teachers/create` | `POST /v1/courses/{courseId}/teachers` Creates a teacher of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.teachers/delete` | `DELETE /v1/courses/{courseId}/teachers/{userId}` Removes the specified teacher from the specified course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.teachers/get` | `GET /v1/courses/{courseId}/teachers/{userId}` Returns a teacher of a course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.teachers/list` | `GET /v1/courses/{courseId}/teachers` Returns a list of teachers of this course that the requester is permitted to view. |

## REST Resource: [v1.courses.topics](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create` | `POST /v1/courses/{courseId}/topics` Creates a topic. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/delete` | `DELETE /v1/courses/{courseId}/topics/{id}` Deletes a topic. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/get` | `GET /v1/courses/{courseId}/topics/{id}` Returns a topic. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/list` | `GET /v1/courses/{courseId}/topics` Returns the list of topics that the requester is permitted to view. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/patch` | `PATCH /v1/courses/{courseId}/topics/{id}` Updates one or more fields of a topic. |

## REST Resource: [v1.invitations](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/accept` | `POST /v1/invitations/{id}:accept` Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/create` | `POST /v1/invitations` Creates an invitation. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete` | `DELETE /v1/invitations/{id}` Deletes an invitation. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/get` | `GET /v1/invitations/{id}` Returns an invitation. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list` | `GET /v1/invitations` Returns a list of invitations that the requesting user is permitted to view, restricted to those that match the list request. |

## REST Resource: [v1.registrations](https://developers.google.com/workspace/classroom/reference/rest/v1/registrations)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/registrations/create` | `POST /v1/registrations` Creates a `Registration`, causing Classroom to start sending notifications from the provided `feed` to the destination provided in `cloudPubSubTopic`. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/registrations/delete` | `DELETE /v1/registrations/{registrationId}` Deletes a `Registration`, causing Classroom to stop sending notifications for that `Registration`. |

## REST Resource: [v1.userProfiles](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/checkUserCapability` | `GET /v1/userProfiles/{userId}:checkUserCapability` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features. This feature is available in `https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion` and later. See [Access Preview APIs](https://developers.google.com/workspace/classroom/reference/preview) to learn more. Returns whether a user may use the specified Classroom capability. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get` | `GET /v1/userProfiles/{userId}` Returns a user profile. |

## REST Resource: [v1.userProfiles.guardianInvitations](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/create` | `POST /v1/userProfiles/{guardianInvitation.studentId}/guardianInvitations` Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student's guardian. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get` | `GET /v1/userProfiles/{studentId}/guardianInvitations/{invitationId}` Returns a specific guardian invitation. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list` | `GET /v1/userProfiles/{studentId}/guardianInvitations` Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/patch` | `PATCH /v1/userProfiles/{studentId}/guardianInvitations/{invitationId}` Modifies a guardian invitation. |

## REST Resource: [v1.userProfiles.guardians](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete` | `DELETE /v1/userProfiles/{studentId}/guardians/{guardianId}` Deletes a guardian. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get` | `GET /v1/userProfiles/{studentId}/guardians/{guardianId}` Returns a specific guardian. |
| `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list` | `GET /v1/userProfiles/{studentId}/guardians` Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request. |